Bug 207456 - [or_IN] Pango does not render many below base and one post base form in Oriya
[or_IN] Pango does not render many below base and one post base form in Oriya
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
rawhide
All Linux
high Severity high
: ---
: ---
Assigned To: Behdad Esfahbod
: i18n
Depends On:
Blocks: FC6Update 209096
  Show dependency treegraph
 
Reported: 2006-09-21 03:44 EDT by Rahul Bhalerao
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: pango-1.14.6-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 20:55:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (1.58 KB, text/x-patch)
2006-09-21 03:49 EDT, Rahul Bhalerao
no flags Details

  None (edit)
Description Rahul Bhalerao 2006-09-21 03:44:38 EDT
Description of problem:
Pango does not render conjuncts of following oriya consonants properly:
u0b15 to u0b23
u0b25 to u0b27, u0b2A, u0b2B,
u0b35 to u0b39, u0b5f, u0b71

Out of these u0b5f has a post base form and all others have below base form.


Version-Release number of selected component (if applicable):
Pango-1.14.0

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Rahul Bhalerao 2006-09-21 03:49:31 EDT
Created attachment 136827 [details]
Patch
Comment 2 Rahul Bhalerao 2006-09-21 03:53:43 EDT
The above patch fixes the oriya bugs for Pango-1.14.4.
The version in the bug description should also have been 1.14.4.
Comment 3 Leon Ho 2006-09-28 05:22:57 EDT
Thanks for the patch Rahul, reassign to Behdad to include into FC6 package.
Comment 4 Matthias Clasen 2006-10-06 10:13:53 EDT
I don't think this is a blocker
Comment 5 Leon Ho 2006-10-07 02:20:09 EDT
IMHO, a huge bug for Oriya user - this bug will lean to large amount of
character compositions failed for Oriya users on *any* GNOME applications, which
is our new official language for FC6. Patch is available. Please reconsider this
decision.
Comment 6 Behdad Esfahbod 2006-10-13 13:40:43 EDT
Well, not my fault that this has not been committed so far.  There's no upstream
for it.  Created:

http://bugzilla.gnome.org/show_bug.cgi?id=361977
Comment 7 Behdad Esfahbod 2006-10-13 13:48:41 EDT
Ah, in fact I fixed this in pango 1.14.5 last week.
It was filed as:

  http://bugzilla.gnome.org/show_bug.cgi?id=356685

It really really really really helps if you guys keep bugs assigned to pango/me
minimal and not duplicate one for RHEL, another for Fedora, another as a
tracker, and many of them not being linked to upstream...

Anyway, this will be fixed when we push pango 1.14.6 as an update.
Comment 8 Liang Zhang 2006-10-15 22:36:04 EDT
The pango of redhat cvs has already been 1.14.6 .
This bug can be closed.
Comment 9 Fedora Update System 2006-10-24 16:22:43 EDT
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 10 Fedora Update System 2006-10-25 11:52:50 EDT
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 11 Fedora Update System 2006-10-30 16:43:04 EST
pango-1.14.6-2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.